#### D.12.5.3 lastvarGeneral

Procedure from library `weierstr.lib` (see weierstr_lib).

Usage:
  lastvarGeneral(f,d); f=poly

Return:
  poly, say g, obtained from f by a generic change of variables, s.t. g is general of finite order b w.r.t. the last ring variable, say T (i.e. g(0,...,0,T)= c*T^b + higher terms, c!=0)

Note:
  the procedure works for any monomial ordering

Example:

    LIB "weierstr.lib";
    ring R = 2,(x,y,z),ls;
    poly f = xyz;
    lastvarGeneral(f);
    ==> z24+yz19+xz6+xyz

User manual for Singular version 4.4.1, 2025, generated by texi2html.